Tools and custom APIs the agent invoked
GET
https://server.heyrik.com/api/v1/calls/{id}/functionsPath parameters
idRequiredReplace {id} in the request URL with the value for this resource.
Headers
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataarrayExplore 1 example item
[0]objectExplore 4 properties
namestringExample "check_order_status"
argumentsobjectExplore 1 property
order_idstringExample "AC-8842"
resultobjectExplore 1 property
statusstringExample "dispatched"
tsstringExample "2026-07-22T15:06:02.400Z"
GET/calls/{id}/functions
cURL
curl https://server.heyrik.com/api/v1/calls/call_1dd990f7/functions \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": [
{
"name": "check_order_status",
"arguments": { "order_id": "AC-8842" },
"result": { "status": "dispatched" },
"ts": "2026-07-22T15:06:02.400Z"
}
]
}Illustrative examples · No live request is sent
